package com.iot.modbus_rtcp.dto;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;


@Data
@SuperBuilder
@NoArgsConstructor
@ToString(callSuper = true)
public class ModbusCommandDto extends CommandTypeComparable implements CommandDto {
    /**
     * 12位十六进制的命令
     */
    private String command;

    /**
     * 采集长度
     */
    private int length;

    /**
     * 自定义标识
     * 采集情况下会推送到MQ的内容格式为：自定义标识+设备反馈报文
     */
    private String key;

    /**
     * 网关唯一标识符
     */
    private String identifier;
}
