package com.iot.modbus_rtcp.netty;

import com.iot.modbus_rtcp.utils.HexUtil;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;

public class ModbusEncoder extends MessageToByteEncoder<String> {

    @Override
    protected void encode(ChannelHandlerContext channelHandlerContext, String s, ByteBuf byteBuf) {
        byteBuf.writeBytes(HexUtil.hexStringToBytes(s));
    }
}

